VirtualBox

Ticket #5821 (closed defect: fixed)

Opened 4 years ago

Last modified 13 months ago

VirtualBox Guest Additions Service terminates unexpectedly

Reported by: kurtraschke Owned by:
Priority: major Component: guest additions
Version: VirtualBox 3.1.2 Keywords:
Cc: Guest type: Windows
Host type: Mac OS X

Description (last modified by frank) (diff)

Windows 7 x64 guest, Mac OS X 10.6.2 guest, VirtualBox 3.1.2.

On boot, the VirtualBox Guest Additions Service starts and then terminates; this manifests as a failure of time synchronization if the VM is suspended and then re-started.

The following is logged in the system log:

Log Name:      System
Source:        Service Control Manager
Date:          12/21/2009 8:36:12 PM
Event ID:      7034
Task Category: None
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      Kurt-PC
Description:
The VirtualBox Guest Additions Service service terminated unexpectedly.  It has done this 1 time(s).
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Service Control Manager" Guid="{555908d1-a6d7-4695-8e1e-26931d2012f4}" EventSourceName="Service Control Manager" />
    <EventID Qualifiers="49152">7034</EventID>
    <Version>0</Version>
    <Level>2</Level>
    <Task>0</Task>
    <Opcode>0</Opcode>
    <Keywords>0x8080000000000000</Keywords>
    <TimeCreated SystemTime="2009-12-22T01:36:12.363290800Z" />
    <EventRecordID>5357</EventRecordID>
    <Correlation />
    <Execution ProcessID="456" ThreadID="604" />
    <Channel>System</Channel>
    <Computer>Kurt-PC</Computer>
    <Security />
  </System>
  <EventData>
    <Data Name="param1">VirtualBox Guest Additions Service</Data>
    <Data Name="param2">1</Data>
  </EventData>
</Event>

Change History

comment:1 Changed 3 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Please reopen if still relevant with VBox 4.0.4.

comment:2 Changed 3 years ago by rdesgroppes

  • Status changed from closed to reopened
  • Resolution fixed deleted

Reproduced with 4.1.4. It happens when calling getProcessOutput()

Event Type: Error Event Source: Service Control Manager Event Category: None Event ID: 7034 Date: 10/25/2011 Time: 2:26:23 PM User: N/A Computer: WINDOWS-XP-32 Description: The VirtualBox Guest Additions Service service terminated unexpectedly. It has done this 1 time(s).

Error signature: szAppName : VBoxService.exe szAppVer : 4.1.4.0 szModName : VBoxService.exe szModVer : 4.1.4.0 offset : 00006eb9

comment:3 Changed 2 years ago by rdesgroppes

Reproduced with 4.1.6, when calling executeProcess() [BTW, this was the same above]

Faulting application VBoxService.exe, version 4.1.6.0, faulting module VBoxService.exe, version 4.1.6.0, fault address 0x00006eb9.

comment:4 Changed 13 months ago by frank

  • Status changed from reopened to closed
  • Resolution set to fixed
  • Description modified (diff)

Please reopen if still relevant with VBox 4.2.10.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use